3.0 to 4.5.3 Upgrade failed (mysql error)

Ask questions about your setup or get help installing ZCS server (ZD section below).
dealt
Posts: 36
Joined: Fri Sep 12, 2014 9:56 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby dealt » Tue Mar 06, 2007 5:46 am

Hi! I encountered this error while upgrading 3.0 to 4.5.3:
ERROR 1005 (HY000) at line 2: Can't create table './mboxgroup67/#sql-515e_1f1.frm' (errno: 150)

Error while running '/opt/zimbra/bin/mysql --user=zimbra --password=SAoo20h4bjrUQusGVKJZ5cQJ8C --database=zimbra --batch --skip-column-names'. at /opt/zimbra/libexec/scripts/Migrate.pm line 220, line 94.

Tue Mar 6 11:40:50 2007: Script failed with code 1 - exiting

UPGRADE FAILED - exiting

What should I do?
One more thing, at the start up of the upgrade where it shows my current configuration values, it seems that it cant get the value of my LDAPHOST and LDAPPORT configuration as shown below:



Setting defaults from saved config in /opt/zimbra/.saveconfig/config.save

HOSTNAME=stiimail.stii.dost.gov.ph

LDAPHOST=

LDAPPORT=

SNMPTRAPHOST=stiimail.stii.dost.gov.ph

SMTPSOURCE=admin@stii.dost.gov.ph

SMTPDEST=admin@stii.dost.gov.ph

SNMPNOTIFY=yes

SMTPNOTIFY=yes

LDAPROOTPW=GBHZs9we

LDAPZIMBRAPW=GBHZs9we

Is this ok?
Thanks!


jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby jholder » Tue Mar 06, 2007 11:02 am

Looks like the migration script failed.

I assume you have a backup. . .right????
dealt
Posts: 36
Joined: Fri Sep 12, 2014 9:56 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby dealt » Tue Mar 06, 2007 5:22 pm

[quote user="jholder"]Looks like the migration script failed.

I assume you have a backup. . .right????[/QUOTE]
Yep, I'm restoring it now. So what should I do about it? (upgrade problem). Thanks!
jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby jholder » Tue Mar 06, 2007 6:13 pm

Well,

I'd make sure you have enough space, clear out your /tmp folder, and try agian.
dealt
Posts: 36
Joined: Fri Sep 12, 2014 9:56 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby dealt » Tue Mar 06, 2007 9:02 pm

[quote user="jholder"]Well,

I'd make sure you have enough space, clear out your /tmp folder, and try agian.[/QUOTE]
Hi! Yep, I believe my /tmp folder has enough space:

df -h

Filesystem Size Used Avail Use% Mounted on

/dev/sda2 5.7G 2.3G 3.2G 42% /

/dev/sda1 99M 13M 81M 14% /boot

/dev/shm 760M 0 760M 0% /dev/shm

/dev/md0 59G 32G 24G 58% /opt

what am i missing?
dealt
Posts: 36
Joined: Fri Sep 12, 2014 9:56 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby dealt » Tue Mar 06, 2007 9:15 pm

I've been trying to upgrade my 3.0 installation to the 4.5 (4.5.1 and 4.5.3) for several times for the past month and never succeeded. Im thinking of a possible workaround that will involve the following steps:
1.) Have a fresh install of the latest release (4.5.3) on a different machine, or on a virtual machine
2.) Find a way to import user accounts (and preferences?) from the old server to the new one. Perhaps if I can make their LDAP talk to each other.
3.) Migrate emails via imapsync.
** SINCE THE PRODUCTION SERVER MUST RESIDE ON THE MACHINE OF MY ZIMBRA 3.0**
4.) Backup /opt/zimbra directory from the new server
5.) Install 4.5.3 on the old server, overwriting all the data.
6.) Copy the /opt/zimbra from the new server to the old server (now with a fresh install 4.5.3)
7.) Re-run install.sh (or i can skip this one?)
Are all these possible? Thanks!
jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby jholder » Tue Mar 06, 2007 9:17 pm

Hi Delt,

I think it's important for you to understand that you are attempting to treat the symptoms, and not address the problem.
I think your proposal may work, but the problem you should be concerned about is why the heck is your script failing.
Can you post your /opt/zimbra/.install_history ?
Thanks

john
dealt
Posts: 36
Joined: Fri Sep 12, 2014 9:56 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby dealt » Tue Mar 06, 2007 9:30 pm

[quote user="jholder"]Hi Delt,

I think it's important for you to understand that you are attempting to treat the symptoms, and not address the problem.
I think your proposal may work, but the problem you should be concerned about is why the heck is your script failing.
Can you post your /opt/zimbra/.install_history ?
Thanks

john[/QUOTE]
Hi John!

I'm just considering my other options. It's getting to be quite frustrating not being able to successfully upgrade our server after n attempts. Anyway, I just restored my 3.0 backup, I think it has overwritten the .install_history of my failed upgrade. Are there any other files that we can look at? Anyway here's my current .install history :
1143111968: INSTALL SESSION START

1143111981: INSTALLED zimbra-core-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143111983: INSTALLED zimbra-ldap-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143111987: INSTALLED zimbra-logger-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143111991: INSTALLED zimbra-mta-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143111994: INSTALLED zimbra-snmp-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143112001: INSTALLED zimbra-store-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143112004: INSTALLED zimbra-apache-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143112006: INSTALLED zimbra-spell-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1143112006: INSTALL SESSION COMPLETE

1143112070: CONFIG SESSION START

1143112070: CONFIGURED BEGIN

1143112084: CONFIGURED configLCValues

1143112086: CONFIGURED configCASetup

1143112090: CONFIGURED configCreateCert

1143112100: CONFIGURED configSetupLdap

1143112106: CONFIGURED configSaveCA

1143112111: CONFIGURED configInstallCert

1143112115: CONFIGURED configCreateServerEntry

1143112118: CONFIGURED configSpellServer

1143112121: CONFIGURED configSetServicePorts

1143112152: CONFIGURED configInstallZimlets

1143112155: CONFIGURED configSetMtaAuthHost

1143112186: CONFIGURED configCreateDomain

1143112199: CONFIGURED configInitSql

1143112232: CONFIGURED configInitLogger

1143112233: CONFIGURED configInitMta

1143112244: CONFIGURED configInitSnmp

1143112250: CONFIGURED configSetEnabledServices

1143112250: CONFIGURED setupCrontab

1143112363: CONFIGURED END

1143112363: CONFIG SESSION COMPLETE

1173203598: INSTALL SESSION START

1173203614: UPGRADED zimbra-core-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203616: UPGRADED zimbra-ldap-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203622: UPGRADED zimbra-logger-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203630: UPGRADED zimbra-mta-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203633: UPGRADED zimbra-snmp-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203640: UPGRADED zimbra-store-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203645: UPGRADED zimbra-apache-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203647: UPGRADED zimbra-spell-3.0.1_GA_160.FC4-20060216172118.i386.rpm

1173203647: INSTALL SESSION COMPLETE

1173204007: CONFIG SESSION START

1173204007: CONFIGURED BEGIN

1173204022: CONFIGURED configLCValues

1173204022: CONFIGURED configCASetup

1173204022: CONFIGURED configCreateCert

1173204027: CONFIGURED configSetupLdap

1173204034: CONFIGURED configSaveCA

1173204038: CONFIGURED configInstallCert

1173204041: CONFIGURED configCreateServerEntry

1173204045: CONFIGURED configSpellServer

1173204048: CONFIGURED configSetServicePorts

1173204078: CONFIGURED configInstallZimlets

1173204081: CONFIGURED configSetMtaAuthHost

1173204081: CONFIGURED configCreateDomain

1173204081: CONFIGURED configInitSql

1173204085: CONFIGURED configInitLogger

1173204086: CONFIGURED configInitMta

1173204097: CONFIGURED configInitSnmp

1173204104: CONFIGURED configSetEnabledServices

1173204104: CONFIGURED setupCrontab

1173204213: CONFIGURED END

1173204213: CONFIG SESSION COMPLETE

jholder
Zimbra Employee
Zimbra Employee
Posts: 4686
Joined: Fri Sep 12, 2014 10:00 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby jholder » Tue Mar 06, 2007 9:44 pm

We think that perhaps you may not have enough buffer space.

This causes an error in creation of foreign constants.
Take a look at /opt/zimbra/conf/my.cnf and set the innodb_buffer_pool_size = 1992294400
dealt
Posts: 36
Joined: Fri Sep 12, 2014 9:56 pm

3.0 to 4.5.3 Upgrade failed (mysql error)

Postby dealt » Tue Mar 06, 2007 9:59 pm

[quote user="jholder"]We think that perhaps you may not have enough buffer space.

This causes an error in creation of foreign constants.
Take a look at /opt/zimbra/conf/my.cnf and set the innodb_buffer_pool_size = 1992294400[/QUOTE]
Ok. I'll try. Thanks. I'll post whatever the results here

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 3 guests